function smoothdata=bandpass(data,srate,locutoff,hicutoff)
%bandpasses a signal using sigproc toolbox
% data= data to filter (channels x time x epochs, can also only be one channel or one epoch)
%srate= sampling rate


%copied for simple bandpass case from eegfilt of eeglab
%by schtefan

[chans frames] = size(data);
nyq            = srate*0.5;  % Nyquist frequency

if chans > 1 & frames == 1,
    error('input data should be a row vector.');
end
if locutoff>0 & hicutoff > 0 & locutoff > hicutoff,
    error('locutoff > hicutoff ???\n');
end
if locutoff < 0 | hicutoff < 0,
   error('locutoff | hicutoff < 0 ???\n');
end

if locutoff>nyq,
    error('Low cutoff frequency cannot be > srate/2');
end
if hicutoff>nyq
    error('High cutoff frequency cannot be > srate/2');
end


MINFREQ = 0;
minfac         = 3;    % this many (lo)cutoff-freq cycles in filter 
min_filtorder  = 15;   % minimum filter length
trans          = 0.15; % fractional width of transition zones
revfilt = 0;
filtorder = minfac*fix(srate/locutoff);
epochframes = frames; 
epochs = fix(frames/epochframes);
f=[MINFREQ (1-trans)*locutoff/nyq locutoff/nyq hicutoff/nyq (1+trans)*hicutoff/nyq 1]; 
m=[0       0                      1            1            0                      0]; 

filtwts = firls(filtorder,f,m); % get FIR filter coefficients

smoothdata = zeros(chans,frames);
for e = 1:epochs                % filter each epoch, channel 
    for c=1:chans
      smoothdata(c,(e-1)*epochframes+1:e*epochframes) ...
        = filtfilt(filtwts,1,data(c,(e-1)*epochframes+1:e*epochframes));
      if epochs == 1 
      end
    end
end
