function [clippedconvolution]=getConvolution(signal,fq,fs,wavefunction,filter)
%transfors a signal with wavelet convolution
%signal: one line signal
%fq: frequencies to analyze
%fs: sampling rate
%wavefuntion: 'getTallonWavelet' or 'getLachauxWavelet'
%filter: decides if bandpass filtering before wavelet transform (recommended for lachaux)
%
%by Stefan Scherbaum 2006

clippedconvolution=[];
convolution=[];

if nargin<4 
    out('getConvolution: Using DefaultWavelet');
    wave=['getWavelet'];
    filter=0;
else
    wave=wavefunction;
    if nargin<5
        filter=0;
    end
end


for fr=fq
    %filter first with bandpass to avoid blurring effect of wavelet
    %- no reasonable difference to nofiltering
    %fsignal=eegfilt(signal,250,fr-2,fr+2);

    %do wavelet analysis
    eval(['w=',wave,'(fr,fs);']);
    if(filter)
        fsignal=bandpass(signal,fs,fr-2,fr+2);
        convolut=conv(w,fsignal);
    else
        convolut=conv(w,signal);        
    end
    
    %resulting energy window is size of wavelet+size of signal with
    %signal centered in window
    toclip=size(convolut,2)-size(signal,2);
    clip=ceil(toclip/2):ceil(toclip/2)+size(signal,2)-1;
    %convolution=[convolution;convolut];
    clippedconvolution=[clippedconvolution;convolut(clip)];
end