function [transformed]=getHilbert(signal,fq,fs)
%transforms a signal with hilbert transform
% signal: input signal (one line of signal)
% fq: frequencies to analyze
% fs: sampling rate
%transformed: freqs x time complex hilbert data)
%
%by Stefan Scherbaum 2006

transformed=zeros(length(fq),length(signal));
for fr=1:length(fq)
    %filter first with bandpass to extract interesting freq
    %do hilbert transform
    transformed(fr,:)=hilbert(bandpass(signal,fs,fq(fr)-1,fq(fr)+1));
end