function [clippedconvolution]=getLachauxConvolution(signal,fq,fs)
%transforms a signal with lachaux wavelets transform
% signal: input signal (one line of signal)
% fq: frequencies to analyze
% fs: sampling rate
%transformed: freqs x time complex hilbert data)
%
%by Stefan Scherbaum 2006


clippedconvolution=[];
convolution=[];


for fr=fq
    %filter first with bandpass to avoid blurring effect of wavelet
    %- no reasonable difference to nofiltering
    %fsignal=eegfilt(signal,250,fr-2,fr+2);

    %do wavelet analysis
    w=getLachauxWavelet(fr,fs);
    fsignal=bandpass(signal,fs,fr-2,fr+2);
    convolut=conv(w,fsignal);
    
    %resulting energy window is size of wavelet+size of signal with
    %signal centered in window
    toclip=size(convolut,2)-size(signal,2);
    clip=ceil(toclip/2):ceil(toclip/2)+size(signal,2)-1;
    %convolution=[convolution;convolut];
    clippedconvolution=[clippedconvolution;convolut(clip)];
end