function [energy, convolution,clip]=getTVEnergy(signal,fq,fs)
%usage getTVEnergy(signal,frequencies,samplingrate)
%calcs energy with TallonBaudry Wavelets
%signal: one line signal
%fq: freqs to analyze
%fs: sampling rate
%
%by Stefan Scherbaum 2006

energy=zeros(length(fq),length(signal));
for fr=1:length(fq)

%do wavelet analysis
    w=getTallonWavelet(fq(fr),fs,0);
    energ=abs(conv(w,signal)).^2;    
    
    %resulting energy window is size of wavelet+size of signal with
    %signal centered in window
    toclip=length(energ)-length(signal);
    clip=floor(toclip/2):floor(toclip/2)+length(signal)-1;% size(signal,2):size(signal,2)*2;
    energy(fr,:)=energ(clip);
end